Bug 986440 - SELinux is preventing /usr/libexec/kde4/lnusertemp from 'create' accesses on the lnk_file cache-asus-0.guldbrand.net.
SELinux is preventing /usr/libexec/kde4/lnusertemp from 'create' accesses on ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:a87eb785576f537e2163f1813ff...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-19 15:52 EDT by Niki Guldbrand
Modified: 2013-07-26 19:05 EDT (History)
3 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-66.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-26 19:05:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Niki Guldbrand 2013-07-19 15:52:14 EDT
Description of problem:
Not sure, but was browsing some folders, so proberbly a problem with thumbnail creation
SELinux is preventing /usr/libexec/kde4/lnusertemp from 'create' accesses on the lnk_file cache-asus-0.guldbrand.net.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that lnusertemp should be allowed create access on the cache-asus-0.guldbrand.net lnk_file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep lnusertemp /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:xdm_var_run_t:s0
Target Objects                cache-asus-0.guldbrand.net [ lnk_file ]
Source                        lnusertemp
Source Path                   /usr/libexec/kde4/lnusertemp
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           kdelibs-4.10.4-1.fc19.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-59.fc19.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.9.9-301.fc19.x86_64 #1 SMP Thu
                              Jul 4 15:10:36 UTC 2013 x86_64 x86_64
Alert Count                   2
First Seen                    2013-07-09 23:01:36 CEST
Last Seen                     2013-07-09 23:01:36 CEST
Local ID                      bf58ec44-ea8c-43a2-b075-101122c51815

Raw Audit Messages
type=AVC msg=audit(1373403696.429:448): avc:  denied  { create } for  pid=1968 comm="lnusertemp" name="cache-asus-0.guldbrand.net" scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:xdm_var_run_t:s0 tclass=lnk_file


type=SYSCALL msg=audit(1373403696.429:448): arch=x86_64 syscall=symlink success=no exit=EACCES a0=7fff976ca620 a1=7fff976c9610 a2=7fff976c8090 a3=1 items=0 ppid=1961 pid=1968 auid=4294967295 uid=987 gid=982 euid=987 suid=987 fsuid=987 egid=982 sgid=982 fsgid=982 ses=4294967295 tty=(none) comm=lnusertemp exe=/usr/libexec/kde4/lnusertemp subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)

Hash: lnusertemp,xdm_t,xdm_var_run_t,lnk_file,create

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.9.9-302.fc19.x86_64
type:           libreport
Comment 1 Daniel Walsh 2013-07-21 07:03:26 EDT
0c66a337b83cdd3b6fb0cc6a769d9a7f692c74c9 fixes this in git.
Comment 2 Fedora Update System 2013-07-24 10:11:46 EDT
selinux-policy-3.12.1-66.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-66.fc19
Comment 3 Fedora Update System 2013-07-24 20:35:00 EDT
Package selinux-policy-3.12.1-66.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-66.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-13543/selinux-policy-3.12.1-66.fc19
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2013-07-26 19:05:59 EDT
selinux-policy-3.12.1-66.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.